<mat-toolbar color="primary">
  <button mat-icon-button class="example-icon" aria-label="Example icon-button with menu icon">
    <mat-icon>menu</mat-icon>
  </button>
  <span>CRICKET LIVE SCORE</span>
  <span class="example-spacer"></span>
  <button mat-icon-button class="example-icon favorite-icon" aria-label="Example icon-button with heart icon">
    <mat-icon>favorite</mat-icon>
  </button>
  <button (click)="logOut()" mat-icon-button class="example-icon" aria-label="Example icon-button with share icon">
    <mat-icon>logout</mat-icon>
  </button>
</mat-toolbar>
<div class="bootstrap-wrapper">
  <div class="container">
<!--    <h1 style="text-align: center;">ALL LIVE SCORES</h1>-->
    <mat-card class="mt-20">
      <mat-form-field style="width: 100%;">
        <mat-label>Filter by any keywords</mat-label>
        <input matInput type="text" [(ngModel)]="filterValue"
               (input)="findByKeyword(filterValue)" placeholder="Search Keyword">
      </mat-form-field>

      <div *ngIf="dataSource">
        <mat-table [dataSource]="dataSource.content">
          <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
          <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>
          <ng-container matColumnDef="id">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Id</mat-header-cell>
            <mat-cell *matCellDef="let row">{{row.id}}</mat-cell>
          </ng-container>

          <ng-container matColumnDef="title">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Title</mat-header-cell>
            <mat-cell *matCellDef="let row">{{row.title}}</mat-cell>
          </ng-container>


          <ng-container matColumnDef="description">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Description</mat-header-cell>
            <mat-cell *matCellDef="let row">{{row.description}}</mat-cell>
          </ng-container>

          <ng-container matColumnDef="guid">
            <mat-header-cell *matHeaderCellDef mat-sort-header>GUID</mat-header-cell>
            <mat-cell *matCellDef="let row">{{row.guid}}</mat-cell>
          </ng-container>

          <ng-container matColumnDef="link">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Link</mat-header-cell>
            <mat-cell *matCellDef="let row">{{row.link}}</mat-cell>
          </ng-container>
        </mat-table>

        <mat-paginator
          [length]="dataSource.totalElements"
          [pageSize]="dataSource.size"
          [pageSizeOptions]="[5,10,25,100]"
          (page)="pageEvent = $event; onPaginateChange($event)"
          showFirstLastButtons>
        </mat-paginator>
      </div>
    </mat-card>



  </div>
</div>
